#!/bin/sh

set -e

if [ $# -ne 2 ] ; then
	echo "usage: $0 orig.rom patched.rom"
	exit 1
fi

ORIG="$1"
OUT="$2"

. $(dirname "$0")/patch-helpers.sh

cp -f "${ORIG}" "${OUT}"

# use official ROM vectors instead of direct ROM jumps

# send complete E636 -> FF5A
put_byte "${OUT}" 0084 5A FF
put_byte "${OUT}" 0087 5A FF
put_byte "${OUT}" 00A0 5A FF

# write boot sectors E9FE -> FFC9
put_byte "${OUT}" 0081 C9 FF

# send without checksum E682 -> FFCF
put_byte "${OUT}" 0098 CF FF
put_byte "${OUT}" 00B1 CF FF

# send single (checksum?) byte?
# ??? direct E677 -> E67D
put_byte "${OUT}" 009D 7D
put_byte "${OUT}" 00B6 7D

