#!/bin/sh

set -e

if [ $# -ne 2 ] ; then
	echo "usage: $0 orig.rom patched.rom"
	exit 1
fi

ORIG="$1"
OUT="$2"

. $(dirname "$0")/patch-helpers.sh

cp -f "${ORIG}" "${OUT}"

# use official ROM vectors instead of direct ROM jumps

# send complete E636 -> FF5A
put_byte "${OUT}" 0081 5A FF
put_byte "${OUT}" 008D 5A FF

# send A bytes from X/Y E653 -> FF54
put_byte "${OUT}" 008A 54 FF

# send without checksum E682 -> FFCF
put_byte "${OUT}" 009E CF FF

# send single (checksum?) byte?
# ??? direct E677 -> E67D
put_byte "${OUT}" 00A3 7D
