#!/bin/sh
set -e

if [ $# -ne 2 ] ; then
	echo "usage: $0 orig.rom patched.rom"
	exit 1
fi

ORIG="$1"
OUT="$2"

. $(dirname "$0")/patch-helpers.sh

cp -f "${ORIG}" "${OUT}"

# additional init on reset
put_file "${OUT}" 1EA0 patches/megaspeedy-reset.bin

# patch call to user reset vector 9f84
put_byte "${OUT}" 00D6 A0 FE

# put mega-speedy signature "M" one byte before version
put_byte "${OUT}" 1FFA 4D

