#!/bin/sh

set -e

if [ $# -ne 2 ] ; then
	echo "usage: $0 orig.rom patched.rom"
	exit 1
fi

ORIG="$1"
OUT="$2"

. $(dirname "$0")/patch-helpers.sh

cp -f "${ORIG}" "${OUT}"

## hispeed SIO receive byte code at FD3B
put_file "${OUT}" 1D3B patches/receive-hi-orig.bin

## standard SIO receive byte code at FD12
put_file "${OUT}" 1D12 patches/receive-std.bin

## standard SIO transmit byte code at FD7F
put_file "${OUT}" 1D7F patches/transmit-std.bin

