#!/bin/sh

set -e

if [ $# -ne 2 ] ; then
	echo "usage: $0 orig.rom patched.rom"
	exit 1
fi

ORIG="$1"
OUT="$2"

. $(dirname "$0")/patch-helpers.sh

cp -f "${ORIG}" "${OUT}"

## hispeed SIO receive byte code at FD3B, moved to FD12
put_file "${OUT}" 1D12 patches/receive-hi-orig.bin

## standard SIO receive byte code at FD12, moved to FDD0
put_file "${OUT}" 1DD0 patches/receive-std.bin

## standard SIO transmit byte code at FD7F, moved to FDF9
put_file "${OUT}" 1DF9 patches/transmit-std.bin

## adjust sio receive table at E629:
## standard-speed receive address, then hispeed-address
put_byte "${OUT}" 0629 D0 FD 12 FD

## adjust sio transmit table at E684
## standard-speed transmit address, then hispeed-address
put_byte "${OUT}" 0684 F9 FD

# set ROM version to 1.7
put_byte "${OUT}" 1FFB 17
