;  speedyrom.inc - mega speedy rom info
;
;  Copyright (c) 2014-2015 by Matthias Reichl <hias@horus.com>
;
;  This program is free software; you can redistribute it and/or modify
;  it under the terms of the GNU General Public License as published by
;  the Free Software Foundation; either version 2 of the License, or
;  (at your option) any later version.
;
;  This program is distributed in the hope that it will be useful,
;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;  GNU General Public License for more details.
;
;  You should have received a copy of the GNU General Public License
;  along with this program; if not, write to the Free Software
;  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
;

; ROM layout, 4k base block numbers
BLOCK_BASE_SPEEDY		= $00
BLOCK_BASE_SUPERSPEEDY		= $10
BLOCK_BASE_TURBO		= $20
BLOCK_BASE_HAPPY		= $28
BLOCK_BASE_1050			= $30
BLOCK_BASE_USDOUBLER		= $34
BLOCK_BASE_SUPERMAX		= $38
BLOCK_BASE_SUPERARCHIVER	= $3C
BLOCK_BASE_MEGASPEEDY		= $40
BLOCK_BASE_DUPLICATOR		= $60
BLOCK_BASE_ISPLATE		= $68
BLOCK_BASE_FLASHER		= $70
BLOCK_BASE_CONFIG		= $78

; last 32k of RAM are reserved for RAM modes,
; bit7=1 selects RAM mode instead of ROM mode
BLOCK_BASE_RAM			= $F8

BLOCK_SIZE_SPEEDY		= 4
BLOCK_SIZE_SUPERSPEEDY		= 4
BLOCK_SIZE_TURBO		= 2
BLOCK_SIZE_HAPPY		= 2
BLOCK_SIZE_1050			= 1
BLOCK_SIZE_USDOUBLER		= 1
BLOCK_SIZE_SUPERMAX		= 1
BLOCK_SIZE_SUPERARCHIVER	= 1
BLOCK_SIZE_MEGASPEEDY		= 8
BLOCK_SIZE_DUPLICATOR		= 2
BLOCK_SIZE_ISPLATE		= 1
BLOCK_SIZE_FLASHER		= 8
BLOCK_SIZE_CONFIG		= 8

